Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2.interceptors
Class AbstractPermissionCheckInterceptor

    java.lang.Object
      com.atlassian.bamboo.ww2.interceptors.AbstractBambooInterceptor
          com.atlassian.bamboo.ww2.interceptors.AbstractPermissionCheckInterceptor

Direct Known Subclasses:
  AdminPermissionCheckInterceptor, ViewPermissionCheckInterceptor

    public abstract class AbstractPermissionCheckInterceptor

extends AbstractBambooInterceptor

Field Summary
`protected BambooAuthenticationContext` | `authenticationContext`
`protected PermissionManager` | `permissionManager`

Constructor Summary
`AbstractPermissionCheckInterceptor()`

Method Summary
`protected abstract Permission` | `getPermissionToCheck()`
`String` | `intercept(ActionInvocation invocation)`
`void` | `setAuthenticationContext(BambooAuthenticationContext authenticationContext)`
`void` | `setPermissionManager(PermissionManager permissionManager)`

Methods inherited from class com.atlassian.bamboo.ww2.interceptors.AbstractBambooInterceptor
`destroy, getParameter, getParameterAsInt, hasParameter, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### authenticationContext

    protected BambooAuthenticationContext authenticationContext

### permissionManager

    protected PermissionManager permissionManager

Constructor Detail

### AbstractPermissionCheckInterceptor

    public AbstractPermissionCheckInterceptor()

Method Detail

### intercept

    public String intercept(ActionInvocation invocation)
                     throws Exception

  Throws:
    `Exception`

### getPermissionToCheck

    protected abstract Permission getPermissionToCheck()

### setAuthenticationContext

    public void setAuthenticationContext(BambooAuthenticationContext authenticationContext)

### setPermissionManager

    public void setPermissionManager(PermissionManager permissionManager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.